! ############################################################
!            Satellite Data Simulation Unit v2
!                     -  convolv_micro -
!
! This subroutine applies beam convolution to microwave
! brightness temperature. The output file will have the same 
! name as the original except that the extention ".bin" is 
! replaced by ".fov.bin". Note that spatial sampling (or grid 
! dimension and interval) remains unchanged.
!
!              Updated from convolv-fov.f by H. M. (May, 2009)
!
 Subroutine convolv_micro
   Use MAINparameters
   Use BMCVparameters
   Implicit NONE
!
! Local variables
!
   Real :: radout
   Real :: FWHMx, FWHMy
   Integer :: nx, ny, nz, nf, np
!
   allocate ( radinp(ngridx,ngridy) )
!
   print *, ' --- Microwave FOV convolution --- '
!
   Do nf = 1 , mxfreq_microw
!
      FWHMx = fov_ct_microw(nf)
      FWHMy = fov_dt_microw(nf)
!
      Do np = 0 , 1
!
         radinp = Tb_out(:,:,nf,np)
         Do nx = 1 , ngridx
            Do ny = 1 , ngridy
!
               Call fov(nx,ny,FWHMx,FWHMy,radout)
               Tb_out(nx,ny,nf,np) = radout
!
            End do
         End do
!
      End do
   End do
!
   deallocate ( radinp )
!
   Return
 End Subroutine convolv_micro
