!
! ** Linear interpolation for real(8) variables
!
 Subroutine lintp8 ( N,x,grdx,grdy,y )
   Implicit NONE
!
! I/O parameters
!
   integer, intent(in) :: N
   real(8), dimension(N), intent(in) :: grdx,grdy
   real(8), intent(in)  :: x
   real(8), intent(out) :: y
!
! Local variables
!
   integer :: i
   real(8) :: f
!
   If ( x < grdx(1) ) return
   If ( x > grdx(N) ) return
!
   do i = 2, N
      If ( x > grdx(i)) cycle
      f = (grdx(i)-x) / (grdx(i)-grdx(i-1))
      y = f*grdy(i-1) + (1.-f)*grdy(i)
      exit
   end do
!
 end Subroutine lintp8
